Public Attributes | List of all members
hids_init_t Struct Reference
BLE Services » Human Input Device Service (HIDS) » Typedefs

HID Service initialization variable. More...

`#include <hids.h>`

Collaboration diagram for hids_init_t:
[legend]

## Public Attributes
hids_evt_handler_t | evt_handler
| Handle events in HID Service. More...
bool | is_kb
| TRUE if device is operating as a keyboard, FALSE if it is not. More...
bool | is_mouse
| TRUE if device is operating as a mouse, FALSE if it is not. More...
hids_hid_info_t | hid_info
| Value of HID information characteristic. More...
hids_report_map_t | report_map
| HID Service Report Map characteristic value. More...
uint8_t | input_report_count
| Number of Input Report characteristics. More...
hids_report_int_t | input_report_array [3]
| HID input Report Reference value. More...
bool | out_report_sup
| TRUE if output Report characteristic suport, FALSE if it is nonsupport. More...
hids_report_int_t | output_report
| HID output Report Reference value. More...
bool | feature_report_sup
| TRUE if feature Report characteristic suport, FALSE if it is nonsupport. More...
hids_report_int_t | feature_report
| HID feature Report Reference value. More...

## Detailed Description

HID Service initialization variable.

Definition at line 201 of file hids.h.

## Member Data Documentation

## ◆ evt_handler

hids_evt_handler_t hids_init_t::evt_handler

Handle events in HID Service.

Definition at line 203 of file hids.h.

## ◆ feature_report

hids_report_int_t hids_init_t::feature_report

HID feature Report Reference value.

Definition at line 213 of file hids.h.

## ◆ feature_report_sup

bool hids_init_t::feature_report_sup

TRUE if feature Report characteristic suport, FALSE if it is nonsupport.

Definition at line 212 of file hids.h.

## ◆ hid_info

hids_hid_info_t hids_init_t::hid_info

Value of HID information characteristic.

Definition at line 206 of file hids.h.

## ◆ input_report_array

hids_report_int_t hids_init_t::input_report_array[3]

HID input Report Reference value.

Definition at line 209 of file hids.h.

## ◆ input_report_count

uint8_t hids_init_t::input_report_count

Number of Input Report characteristics.

Definition at line 208 of file hids.h.

## ◆ is_kb

bool hids_init_t::is_kb

TRUE if device is operating as a keyboard, FALSE if it is not.

Definition at line 204 of file hids.h.

## ◆ is_mouse

bool hids_init_t::is_mouse

TRUE if device is operating as a mouse, FALSE if it is not.

Definition at line 205 of file hids.h.

## ◆ out_report_sup

bool hids_init_t::out_report_sup

TRUE if output Report characteristic suport, FALSE if it is nonsupport.

Definition at line 210 of file hids.h.

## ◆ output_report

hids_report_int_t hids_init_t::output_report

HID output Report Reference value.

Definition at line 211 of file hids.h.

## ◆ report_map

hids_report_map_t hids_init_t::report_map

HID Service Report Map characteristic value.

Definition at line 207 of file hids.h.

The documentation for this struct was generated from the following file:

- hids.h